API reference
Shortlist
Properties shortlisted for a lead.
GET/shortlist
List shortlist
Needs the permission leads:read.
| Parameter | In | Type | Notes |
|---|---|---|---|
leadId required | query | string (uuid) |
curl -X GET https://crm.anibrosdesign.com/api/v1/shortlist \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
200 400 401 403 429
POST/shortlist
Create a shortlist
Needs the permission leads:update.
| Body field | Type | Notes |
|---|---|---|
leadId required | string (uuid) | |
propertyId required | string (uuid) | |
source | one of manual, matching, viewing, offer | default "manual" |
matchScore | integer or null | |
note | string or null |
curl -X POST https://crm.anibrosdesign.com/api/v1/shortlist \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"leadId":"01a15d23-0000-7000-8000-000000000000","propertyId":"01a15d23-0000-7000-8000-000000000000","source":"manual"}'Responses:
201 400 401 402 403 429
PATCH/shortlist/{id}
Change a shortlist
Needs the permission leads:update.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
| Body field | Type | Notes |
|---|---|---|
status | one of shortlisted, interested, rejected | |
note | string or null |
curl -X PATCH https://crm.anibrosdesign.com/api/v1/shortlist/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"status":"shortlisted","note":"text"}'Responses:
200 400 401 402 403 404 412 429
DELETE/shortlist/{id}
Delete a shortlist
Needs the permission leads:update.
| Parameter | In | Type | Notes |
|---|---|---|---|
id required | path | string (uuid) |
curl -X DELETE https://crm.anibrosdesign.com/api/v1/shortlist/{id} \
-H "Authorization: Bearer crm_live_xxxxxxxx"Responses:
204 400 401 402 403 404 429
Something missing or unclear? Tell us.